Subject: Help with auto-reply setup.

From: India Network <[email-masked]>
Date: Wed, 28 Dec 1994 14:32:00 -0500 (EST)

I usually get the messages from the mailman program and I want to ack 
thru auto reply. The headers look like this:

>From [email-masked]  Wed Dec 28 14:10:15 1994
Return-Path: [email-masked]
Received: from falcon.bgsu.edu (falcon.bgsu.edu [129.1.2.1]) by 
india.bgsu.edu (
8.6.9/8.6.6) with ESMTP id OAA12547 for <[email-masked]>; Wed, 28 
Dec 1994
14:10:14 -0500
Received: (from daemon@localhost) by falcon.bgsu.edu (8.6.8.1/8.6.6) id 
OAA06818
 for Looking-aliases; Wed, 28 Dec 1994 14:10:09 -0500
Reply-To: [email-masked]
Errors-To: [email-masked]
Administrivia-To: [email-masked]
Sender: ""<[email-masked]>
Received: from ns.GE.com (ns.ge.com [192.35.39.24]) by falcon.bgsu.edu 
(8.6.8.1/
8.6.6) with SMTP id OAA06814 for <[email-masked]>; Wed, 28 Dec 
1994 14:
10:08 -0500
Date: Wed, 28 Dec 1994 14:09:53 -0500
From: [email-masked] 
-----------------------------------------------------------

I have the following recipe in my .procmailrc file

         :0 h c
          * !^FROM_DAEMO
          * !^X-Loop: [email-masked]
          | (formail -r -A"Precedence: junk" \
              -A"X-Loop: [email-masked]" ; \
             cat $HOME/mail/reply \ ) | $SENDMAIL -oi -t
---------

The auto reply is now being sent to looking-request (the first from 
line.. see above) and not to the From: address (see last two lines of 
mail headers). How can I change the recipe so that it will ignore all 
stuff till it finds From: and send auto reply to that address only.
Thanks for your help.
K.V. Rao